<?php

// captions

function persian_wordpress_gettext( $text ) {
	static $replace, $keys;

	if ( !is_array($replace) ) {
		$replace = array(

			'دسته‌جمعی' => 'گروهی',
			'حاشیه' => 'نوشتک',
			'صافی' => 'پالایه',
			'پروتکل' => 'درگاه',
			'شناسنامه' => 'نمایه',
			'ایمیل' => 'پست‌الکترونیک',
			'قوی' => 'مستحکم',
		);
		$keys = array_keys( $replace );
	}

	return str_replace( $keys, $replace, $text );
}

add_filter( 'gettext', 'persian_wordpress_gettext' );
add_filter( 'gettext_with_context', 'persian_wordpress_gettext' );
add_filter( 'ngettext', 'persian_wordpress_gettext' );
add_filter( 'ngettext_with_context', 'persian_wordpress_gettext' );
?>